classification
Title: The UTF-7 codec functions are undocumented
Type: Stage: resolved
Components: Documentation Versions: Python 3.1, Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, eric.araujo, georg.brandl, stutzbach, vstinner
Priority: normal Keywords:

Created on 2010-05-07 16:10 by stutzbach, last changed 2010-12-26 02:11 by eric.araujo. This issue is now closed.

Messages (4)
msg105207 - (view) Author: Daniel Stutzbach (stutzbach) (Python committer) Date: 2010-05-07 16:10
The UTF-7 codec functions are undocumented:

PyUnicode_DecodeUTF7Stateful
PyUnicode_DecodeUTF7
PyUnicode_EncodeUTF7
msg112531 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-08-02 20:05
Thanks, fixed in r83558.
msg113738 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2010-08-13 01:36
> Thanks, fixed in r83558.

 .. cfunction:: PyObject* PyUnicode_DecodeUTF8Stateful(...)

UTF-7 or UTF-8?
msg124658 - (view) Author: √Čric Araujo (eric.araujo) * (Python committer) Date: 2010-12-26 02:11
FTR, typo fixed in r83977.
History
Date User Action Args
2010-12-26 02:11:06eric.araujosetnosy: + eric.araujo

messages: + msg124658
stage: needs patch -> resolved
2010-08-13 01:36:19vstinnersetmessages: + msg113738
2010-08-02 20:05:27georg.brandlsetstatus: open -> closed

nosy: + georg.brandl
messages: + msg112531

resolution: fixed
2010-05-13 01:10:44vstinnersetnosy: + vstinner
2010-05-07 16:10:35stutzbachcreate